
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET配置文件Web.config用法详解_实用技巧 / iVAN</title>

    <meta name="description" content="ASP.NET配置文件Web.config用法详解_实用技巧 本文实例讲述了ASP.NET配置文件Web.config用法,分享给大家供大家参考.具体分析如下: 一.认识Web.config文件 Web.config文件是一个XML文本文件,它用来储存 ASP.NET Web 应用程序的配置信息(如最常用的设置ASP.NET Web 应用程序的身份验证方式),它可以出现在应用程序的每一个目录中.当你通过VB.NET新建一个Web应用程序后,默认情况下会在根目录自动创建一个默认的   Web.config文件,包括默认的配置设置,所有的子目录都继承它的配置设">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET配置文件Web.config用法详解_实用技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文实例讲述了ASP.NET配置文件Web.config用法，分享给大家供大家参考。具体分析如下：</p>
<p><strong>一、认识Web.config文件</strong></p>
<p>Web.config文件是一个XML文本文件，它用来储存 ASP.NET Web 应用程序的配置信息（如最常用的设置ASP.NET Web 应用程序的身份验证方式），它可以出现在应用程序的每一个目录中。当你通过VB.NET新建一个Web应用程序后，默认情况下会在根目录自动创建一个默认的   Web.config文件，包括默认的配置设置，所有的子目录都继承它的配置设置。如果你想修改子目录的配置设置，你可以在该子目录下新建一个Web.config文件。它可以提供除从父目录继承的配置信息以外的配置信息，也可以重写或修改父目录中定义的设置。</p>
<p>在运行时对Web.config文件的修改不需要重启服务就可以生效（注：&lt;processModel&gt; 节例外）。当然Web.config文件是可以扩展的。你可以自定义新配置参数并编写配置节处理程序以对它们进行处理。</p>
<p><strong>二、web.config配置文件</strong>（默认的配置设置）以下所有的代码都应该位于&lt;configuration&gt;&lt;system.web&gt;和&lt;/system.web&gt;&lt;/configuration&gt;之间，出于学习的目的下面的示例都省略了这段XML标记</p>
<p>1、&lt;authentication&gt; 节</p>
<p>作用：配置 ASP.NET 身份验证支持（为Windows、Forms、PassPort、None四种）。该元素只能在计算机、站点或应用程序级别声明。&lt;authentication&gt; 元素必需与&lt;authorization&gt; 节配合使用。<br />
示例：<br />
以下示例为基于窗体（Forms）的身份验证配置站点，当没有登陆的用户访问需要身份验证的网页，网页自动跳转到登陆网页。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;authentication mode="Forms" &gt; <br />
  &lt;forms loginUrl="logon.aspx" name=".FormsAuthCookie"/&gt; <br />
  &lt;/authentication&gt;</p>
<p>其中元素loginUrl表示登陆网页的名称，name表示Cookie名称<br />
<br />2、&lt;authorization&gt; 节</p>
<p>作用：控制对 URL 资源的客户端访问（如允许匿名用户访问）。此元素可以在任何级别（计算机、站点、应用程序、子目录或页）上声明。必需与&lt;authentication&gt; 节配合使用。<br />
示例：以下示例禁止匿名用户的访问<br />
  &lt;authorization&gt; <br />
  　&lt;deny users="?"/&gt; <br />
  &lt;/authorization&gt; <br />
注：你可以使用user.identity.name来获取已经过验证的当前的用户名；可以使用   web.Security.FormsAuthentication.RedirectFromLoginPage方法将已验证的用户重定向到用户刚才请求的页面.具体的实例请参考:<br />
Forms验证 http://XXXXX/websample/dataauth.aspx</p>
<p>3、&lt;compilation&gt;节</p>
<p>作用：配置 ASP.NET 使用的所有编译设置。默认的debug属性为“True”.在程序编译完成交付使用之后应将其设为True（Web.config文件中有详细说明，此处省略示例）</p>
<p>4、&lt;customErrors&gt;</p>
<p>作用：为 ASP.NET 应用程序提供有关自定义错误信息的信息。它不适用于 XML Web services 中发生的错误。<br />
示例：当发生错误时，将网页跳转到自定义的错误页面。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;customErrors defaultRedirect="ErrorPage.aspx" mode="RemoteOnly"&gt; <br />
  &lt;/customErrors&gt;</p>
<p>其中元素defaultRedirect表示自定义的错误网页的名称。mode元素表示：对不在本地 Web 服务器上运行的用户显示自定义(友好的)信息。<br />
<br />5、&lt;httpRuntime&gt;节</p>
<p>作用：配置 ASP.NET HTTP 运行库设置。该节可以在计算机、站点、应用程序和子目录级别声明。<br />
示例：控制用户上传文件最大为4M，最长时间为60秒，最多请求数为100     </p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;httpRuntime maxRequestLength="4096" executi appRequestQueueLimit="100"/&gt;</p>
<p>6、 &lt;pages&gt;</p>
<p>作用：标识特定于页的配置设置（如是否启用会话状态、视图状态，是否检测用户的输入等）。&lt;pages&gt;可以在计算机、站点、应用程序和子目录级别声明。<br />
示例：不检测用户在浏览器输入的内容中是否存在潜在的危险数据（注：该项默认是检测，如果你使用了不检测，一要对用户的输入进行编码或验证)，在从客户端回发页时将检查加密的视图状态，以验证视图状态是否已在客户端被篡改。(注：该项默认是不验证）</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;pages buffer="true" enableViewStateMac="true" validateRequest="false"/&gt;</p>
<p>7、&lt;sessionState&gt;</p>
<p>作用：为当前应用程序配置会话状态设置（如设置是否启用会话状态，会话状态保存位置）。<br />
示例：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;sessionState mode="InProc" cookieless="true" timeout="20"/&gt; <br />
  &lt;/sessionState&gt;</p>
<p>注：<br />
mode="InProc"表示：在本地储存会话状态（你也可以选择储存在远程服务器或SAL服务器中或不启用会话状态）<br />
cookieless="true"表示：如果用户浏览器不支持Cookie时启用会话状态(默认为False）<br />
timeout="20"表示：会话可以处于空闲状态的分钟数<br />
<br />8、&lt;trace&gt;</p>
<p>作用：配置 ASP.NET 跟踪服务，主要用来程序测试判断哪里出错。<br />
示例：以下为Web.config中的默认配置：      &lt;trace enabled="false" requestLimit="10" pageOutput="false" traceMode="SortByTime" localOnly="true" /&gt;<br />
注：<br />
enabled="false"表示不启用跟踪；requestLimit="10"表示指定在服务器上存储的跟踪请求的数目<br />
pageOutput="false"表示只能通过跟踪实用工具访问跟踪输出；<br />
traceMode="SortByTime"表示以处理跟踪的顺序来显示跟踪信息<br />
localOnly="true" 表示跟踪查看器 (trace.axd) 只用于宿主 Web 服务器</p>
<p><strong>三、自定义Web.config文件配置节</strong></p>
<p>自定义Web.config文件配置节过程分为两步。<br />
一是在在配置文件顶部 &lt;configSections&gt; 和 &lt;/configSections&gt;标记之间声明配置节的名称和处理该节中配置数据的 .NET Framework 类的名称。<br />
二是在 &lt;configSections&gt; 区域之后为声明的节做实际的配置设置。<br />
示例：创建一个节存储数据库连接字符串</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;configuration&gt; <br />
  　&lt;configSections&gt; <br />
  　&lt;section name="appSettings" type="System.Configuration.NameValueFileSectionHandler, System, Version=1.0.3300.0, Culture=neutral, PublicKeyToken=b77a5c561934e089"/&gt; <br />
  &lt;/configSections&gt; <br />
  　&lt;appSettings&gt; <br />
  　　&lt;add key="scon" value="server=a;database=northwind;uid=sa;pwd=123"/&gt; <br />
  　&lt;/appSettings&gt; <br />
  　&lt;system.web&gt; <br />
  　　...... <br />
  　&lt;/system.web&gt; <br />
  &lt;/configuration&gt;</p>
<p><strong>四、访问Web.config文件</strong></p>
<p>你可以通过使用ConfigurationSettings.AppSettings 静态字符串集合来访问 Web.config 文件示例：获取上面例子中建立的连接字符串。</p>
<p>希望本文所述对大家的asp.net程序设计有所帮助。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-09 17:52:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/asp-net/" title="asp&period;net">asp&period;net</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%b3%95/" title="用法">用法</a>, <a href="https://www.iamivan.net/tag/web-config/" title="web&period;config">web&period;config</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET配置文件Web.config用法详解_实用技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxE0jRp.html" rel="bookmark">asp&period;net中ViewState的用法详解&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在web窗体控件设置为runat = &quot;server&quot;,这个控件会被附加一个隐藏的属性_ViewState,_ViewState存放了所有控件在ViewState中的状态值.ViewState是一个名称/值的对象集合.当请求某个页面时,ASP.NET会把所有控件的状态序列化成一个字符串,然后作为窗体的隐藏属性送到客户端,当客户端吧页面回传时,ASP.NET分析回传的窗体属性,并赋给控件对应的值. 当我们在写一个asp.net表单时, 一旦标明了 form runat=server ,那			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0KN0p.html" rel="bookmark">ASP&period;NET中IsPostBack用法详解&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文针对ASP.NET中IsPostBack的用法进行了详细的说明,有助于读者更准确的掌握ASP.NET中IsPostBack的用法. 一.IsPostBack介绍: Page.IsPostBack是一个标志:当前请求是否第一次打开.调用方法为:Page.IsPostBack或者IsPostBack或者this.IsPostBack或者this.Page.IsPostBack,它们都等价. 1)当通过IE的地址栏等方式打开一个URL时是第一次打开, 当通过页面的提交按钮或能引起提交的按钮以POS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZrQ3z.html" rel="bookmark">ASP&period;NET2&period;0 SQL Server数据库连接详解&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Connection类有四种:SqlConnection,OleDbConnection,OdbcConnection和OracleConnection. SqlConnection类的对象连接SQL Server数据库:OracleConnection 类的对象连接Oracle数据库: OleDbConnection类的对象连接支持OLE DB的数据库,如Access:而OdbcConnection类的对象连接任何支持ODBC的数据库.与数据库的所有通讯最终都是通过Connection对象来完			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkm9Ddb.html" rel="bookmark">ASP&period;NET控件之RadioButtonList详解&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;RadioButtonList&quot;控件表示一个封装了一组单选按钮控件的列表控件.  可以使用两种类型的 ASP.NET 控件将单选按钮添加到网页上:各个&quot;RadioButton&quot;控件或一个&quot;RadioButtonList&quot;控件.这两类控件都允许用户从一小组互相排斥的预定义选项中进行选择.使用这些控件,可定义任意数目的带标签的单选按钮,并将它们水平或垂直排列.  命名空间:System.Web.UI.WebControls程序集:System.We			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXK0l4M.html" rel="bookmark">ASP&period;NET MVC数组模型绑定详解&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在ASP.NET MVC中使用Razor语法可以在视图中方便地展示数组,如果要进行数组模型绑定,会遇到索引断裂问题,如下示例: &lt;input type=&quot;text&quot; name=&quot;[0].Name&quot; /&gt; &lt;input type=&quot;text&quot; name=&quot;[1].Name&quot; /&gt; &lt;input type=&quot;text&quot; name=&quot;[2].Name&quot; /&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr22L4M.html" rel="bookmark">C&num;时间格式化&lpar;Datetime&rpar;用法详解&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Datetime.ToString(String, IFormatProvider) 参数format格式详细用法: 格式字符 关联属性/说明 d ShortDatePattern D LongDatePattern f 完整日期和时间(长日期和短时间) F FullDateTimePattern(长日期和长时间) g 常规(短日期和短时间) G 常规(短日期和长时间) m.M MonthDayPattern r.R RFC1123Pattern s 使用当地时间的 SortableDateTi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj81eVp.html" rel="bookmark">ASP&period;NET同步分页MvcPager使用详解&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近接触了一下MvcPager,来做个笔记吧 其实,我喜欢前后端分离,分页这种东西前端负责的地方,后端不用顾问,这里的MvcPager有点让我想起服务器控件,毕竟用到了HtmlHelper. 但是挺方便的..以前我们写分页,后端会封装一Page&lt;T&gt;类,现在我们可以用MvcPager给我们提供好的PageList&lt;T&gt;,功能有点类似,不过MvcPager的功能要强大. 一.使用MvcPager这个控件,需要以下支持 1.后端MvcPager.dll引用: 2.前端需要Css:pag			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QYmWp.html" rel="bookmark">ASP&period;NET组件System&period;Web&period;Optimization原理及缓存问题详解&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1]开篇介绍 这篇文章将简单的分析一下有关静态文件捆绑的ASP.NET组件System.Web.Optimization的运行原理及基本的缓存问题: 在我们的项目里面充斥着很多静态文件,为了追求模块化.插件化很多静态文件都被设计成模块的方式或者被分解,在需要的时候在通过组合的方式在UI层上使用:这就带来一个问题,文件多了会影响浏览器加载页面的速度,而且由于浏览器的并发限制,对于并行的请求不是无限制的,所以捆绑静态文件的功能就产生:其实在以前,IIS还没有集成管道模型的时候我们只能通过动态资源的方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8G8Zp.html" rel="bookmark">解决在Web&period;config或App&period;config中添加自定义配置的方法详解&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				.Net中的System.Configuration命名空间为我们在web.config或者app.config中自定义配置提供了完美的支持.最近看到一些项目中还在自定义xml文件做程序的配置,所以忍不住写一篇用系统自定义配置的随笔了.如果你已经对自定义配置了如指掌,请忽略这篇文章.言归正传,我们先来看一个最简单的自定义配置 复制代码 代码如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot; ?&gt; &lt;configura			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXgoAM.html" rel="bookmark" class="title">解析 SQL Server 2005 商业智能特点</a>
					<div>
						本文从数据库商业智能特征方面讲述了SQL Server 2005的10个最重要的特点-- 分析服务 SQL Server2005的分析服务迈入了实时分析的领域.从对可升级性性能的增强.到与微软Offi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR5Akb.html" rel="bookmark" class="title">Firebug 1&period;5正式发布&colon;几个不错的新功能</a>
					<div>
						Firebug 1.5在经历6个月的开发和36次alpha和beta版本之后,终于发布正式版了. 新版的Firebug 1.5有一些很不错的功能: 增强的元素查找器 更精确的NET面板计时 HTML  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK73EEb.html" rel="bookmark" class="title">Ruby on rails开发从头来（windows）（十）-清空购物车和格式化金额</a>
					<div>
						在上次的内容里,我们给购物车添加了错误处理,这次来实现清空购物车和金额的格式化处理. 到现在我们还没有给显示购物信息列表页面的&quot;empty cart&quot;链接添加任何处理.我们首先来实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2ak5M.html" rel="bookmark" class="title">ZendFramework中使用Cache缓存机制</a>
					<div>
						如下图所示建立工程: 代码如下: 1.&lt;?php2.3./**4. * IndexController - The default controller class5. *6. * @autho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6Z2vz.html" rel="bookmark" class="title">C&plus;&plus;编译器如何实现异常处理</a>
					<div>
						译者注:本文在网上已经有几个译本,但都不完整,所以我决定自己把它翻译过来.虽然力求信.雅.达,但鉴于这是我的第一次翻译经历,不足之处敬请谅解并指出. 与传统语言相比,C++的一项革命性创新就是它支持异 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wnDNp.html" rel="bookmark" class="title">酷盘可以在哪些设备上使用</a>
					<div>
						酷盘目前已经支持Windows.Mac.Android.iPhone.iPad.Symbian等平台,并且计划支持Linux.Windows Phone 7等平台.另外可以随时通过酷盘网站访问文件.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2vYKb.html" rel="bookmark" class="title">PS自由钢笔和磁性钢笔工具</a>
					<div>
						使用自由钢笔工具,我们可以像用画笔在画布上画图一样自由绘制路径曲线.你不必定义锚点的位置,因为它是自动被添加的,绘制完后再做进一步的调节.自动添加锚点的数目由自由钢笔工具选项栏中的曲线拟和参数决定,参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWQXAp.html" rel="bookmark" class="title">Excel2007怎么冻结窗口</a>
					<div>
						  Excel2007冻结窗口方法有哪些?很多朋友在升级下载了Office2007版办公软件后不知道怎么使用Excel2007冻结窗口.下面就教大家方法,还不会的朋友可以来看一看. Excel2007 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd0gYM.html" rel="bookmark" class="title">如何关闭Word&OpenCurlyDoubleQuote;自作我情&rdquo;功能</a>
					<div>
						  Word是一款很优秀的字处理软件,其强大的文字处理和表格编辑功能给我们的工作带来了许多方便,但Word有时总是&quot;自作多情&quot;.在文档中输入一个网址或者邮件地址,就自动设置成超级链 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYyQBb.html" rel="bookmark" class="title">巧用photoshop后期合成蒙太奇海报效果</a>
					<div>
						  巧用photoshop后期合成蒙太奇海报效果,表达神秘.梦幻.科幻感,素材拼图痕迹地融合一起,实用的调色技巧的运用,有兴趣的童鞋们 分类: PS图片处理 ps后期处理教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o65ab.html" rel="bookmark" class="title">Skype自动关闭的解决方法</a>
					<div>
						一般情况下,我们输入好帐号和密码后点击&quot;登录&quot;按钮即可: 然后应该会等一会,有的时候可能待很久,就是右边状态的地方一个等待的圈圈一转: 电脑常识 然后待这个圈圈消失后skype也一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwAAep.html" rel="bookmark" class="title">细说一键GHOST的 常见问题</a>
					<div>
						  * &quot;一键备份C盘&quot;的映像保存在什么位置?有何优点?怎么打开/复制/删除? 答:(1)保存位置:第一硬盘最后一个分区:~1C_PAN.GHO (2)~1的优点:此文件夹在资源管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwookp.html" rel="bookmark" class="title">select-asp&period;net 从Access中随机读取5条记录</a>
					<div>
						问题描述 asp.net 从Access中随机读取5条记录 我用的是 select top 5 * from Pro where TypeId =1 order by rnd(ID) 在数据库查询的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYlQOb.html" rel="bookmark" class="title">业内预测：2017中国光通信设备规模将达近千亿元</a>
					<div>
						随着光通信在&quot;宽带中国&quot;实施过程中的地位不断提高,4G商用.FTTX建设及互联网驱动信息消费,为整个社会带来了巨大变革,为光通信企业带来前所未有的发展机遇.2016年,作为&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAAREM.html" rel="bookmark" class="title">关联数组-灰色关联度模型的原理</a>
					<div>
						问题描述 灰色关联度模型的原理 灰色关联度怎么做的,可以用计量软件做吗,原理是什么?为了求什么?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxEKWb.html" rel="bookmark" class="title">Windows系统字体与文件对照表</a>
					<div>
						宋体 (TrueType) = SIMSUN.TTF 黑体 (TrueType) = simhei.ttf 楷体_GB2312 (TrueType) = simkai.ttf 仿宋_GB2312 (T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWgQvp.html" rel="bookmark" class="title">flash-求在线文档浏览的实现方式</a>
					<div>
						问题描述 求在线文档浏览的实现方式 以为的大多数采用pdf转swf,通过flash插件在线浏览文档,我最近发现百度文库已经不用flash了,这是通过什么方式实现的呢?很好奇,最近也在做这块,请了解的赐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8A2qPz.html" rel="bookmark" class="title">net-VS2008设置启动项默认浏览器是IE</a>
					<div>
						问题描述 VS2008设置启动项默认浏览器是IE 之后每次结束运行,浏览器窗口就会自动关闭,请问怎么解决这个问题?改浏览器就算了 我还是想用IE调试,求老鸟求高手 谢谢 在线等,洗完澡希望能得道答案. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5gW9M.html" rel="bookmark" class="title">servlet-BeanCreationExceptio</a>
					<div>
						问题描述 BeanCreationExceptio 1C 严重: action: nullorg.springframework.beans.factory.BeanCreationException ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRYdAb.html" rel="bookmark" class="title">C&num;做的应用程序从数据库提取数据显示开关信号到checkbox为什么不成功</a>
					<div>
						问题描述 这个是源代码conn.Open();////////stringsql29=&quot;selectA1fromBUTTONwhereid=(selectmax(id)fromBUTTON) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKJ8rz.html" rel="bookmark" class="title">artdialog的图片&sol;标题以及关闭按钮不显示的解决方法&lowbar;javascript技巧</a>
					<div>
						因其它css样式文件中包含&quot;div{ overflow:hidden; }&quot;引起的artdialog的图片,标题,以及关闭按钮不显示的问题: 如下图:  解决办法:在artdial ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXxP6z.html" rel="bookmark" class="title">qooxdoo 1&period;5发布 开源的综合性Ajax框架</a>
					<div>
						qooxdoo是一个开源的综合性Ajax框架,是遵守LGPL.或EPL(http://www.aliyun.com/zixun/aggregation/13428.html&quot;&gt;Ecli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xx1gb.html" rel="bookmark" class="title">php递归方法实现无限分类实例代码&lowbar;php实例</a>
					<div>
						数组: 复制代码 代码如下: $items = array( array('id' =&gt; 1, 'pid' =&gt; 0, 'name' =&gt; '一级11' ), array('id'  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xwQab.html" rel="bookmark" class="title">监控mysql-求一个监控MYSQL数据库的方法</a>
					<div>
						问题描述 求一个监控MYSQL数据库的方法 要求是JAVA写的,运行后显示数据库的信息.如连接数..					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjQ6ZM.html" rel="bookmark" class="title">bean-Spring实体参数的问题</a>
					<div>
						问题描述 Spring实体参数的问题 定义一个Controller 有一个处理方法比如为 public Book execut(Book book){} 这里Book为一个实体bean对象,现在假如B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq856p.html" rel="bookmark" class="title">使用数据标签和DB2工作负载管理器来确定活动优先级</a>
					<div>
						使用 DB2 http://www.aliyun.com/zixun/aggregation/13999.html&quot;&gt;工作负载管理 (WLM) 最佳实践文章中介绍的方法,系统的总体健康 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnX4yM.html" rel="bookmark" class="title">专访Evernote CEO：Evernote想留住你的记忆而不是你的Money</a>
					<div>
						在伦敦举行的 LeWeb大会以后,Evernote CEO Phil Libin 提到,Evernote现在的用户数量已从五月份的2500万上升到六月份的3400万,付费用户虽然比率仍旧很小,但也在快 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1kPrb.html" rel="bookmark" class="title">Bootstrap中的表单验证插件bootstrapValidator使用方法整理（推荐）&lowbar;javascript技巧</a>
					<div>
						本文给大家介绍如何判断表单验证的实例代码,在没给大家介绍正文之前,先给大家介绍下插件. 插件介绍 先上一个图: 下载地址:https://github.com/nghuuphuoc/bootstrap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm1Dqp.html" rel="bookmark" class="title">destoon实现调用热门关键字的方法&lowbar;php实例</a>
					<div>
						本文所述的destoon调用热门关键字的方法是根据数据库里面的保存的搜索的关键字来显示的. 每个模块下面都有各自的关键字 下面是调用的标签: &lt;!--{tag(&quot;moduleid=$s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1vyQb.html" rel="bookmark" class="title">使用Enumeration和Iterator遍历集合类详解&lowbar;java</a>
					<div>
						前言在数据库连接池分析的代码实例中,看到其中使用Enumeration来遍历Vector集合.后来就找了一些资料查看都有哪些方法可以遍历集合类,在网上找到了如下的使用Enumeration和Itera ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
